#!/bin/sh

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "Syno ARP Probe Workaround"
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--pre)
	# Before changing netowrk topology
	;;
	--post)
	# After changing netowrk topology
	old_context=$(jq -r '.old.context' "${ARGS_FILE_PATH}")
	new_context=$(jq -r '.new.context' "${ARGS_FILE_PATH}")

	if [ "${old_context}" != "${new_context}" ]; then
		if [ "${new_context}" = "repeater" ];then
			ifconfig br0 169.254.$((RANDOM % 255)).$((RANDOM % 255))
		fi
	fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

